
-- DROP TABLE tl_work_flow_template;




CREATE TABLE tl_work_flow_template (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    template_name clob NOT NULL,
    landing_button_text clob NULL,
    verification_header_text clob NULL,
    capture_cv char(1) NULL,
    is_cv_mandatory char(1) NULL,
    capture_cl char(1) NULL,
    is_cl_mandatory char(1) NULL,
    application_button_text clob NULL,
    application_response_action varchar2(200) NOT NULL,
    thank_you_header_text clob NULL,
    thank_you_secondary_text clob NULL,
    job_outline_button_text clob NULL,
    is_global_template char(1) NULL,
    is_system_generated char(1) NULL,
    withdrawal_message_id number(12)  NULL,
    hiring_team_id number(12)  NULL
    );



ALTER TABLE tl_work_flow_template ADD    
    CONSTRAINT PK_tl_work_flow_template PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_work_flow_template_hiring_team_id 
    ON tl_work_flow_template (hiring_team_id);
